package nl.kallestruik.riseofblocks;

import com.mojang.logging.LogUtils;
import net.neoforged.bus.api.IEventBus;
import net.neoforged.fml.ModContainer;
import net.neoforged.fml.common.Mod;
import org.slf4j.Logger;

// The value here should match an entry in the META-INF/neoforge.mods.toml file
@Mod(RiseOfBlocks.MODID)
public class RiseOfBlocks {
    // Define mod id in a common place for everything to reference
    public static final String MODID = "riseofblocks";
    // Directly reference a slf4j logger
    public static final Logger LOGGER = LogUtils.getLogger();

    public RiseOfBlocks(IEventBus modEventBus, ModContainer modContainer) {
        // Load blast resistance override config
        BlastResistanceOverrideConfig.load();
    }
}
